import React from "react";

interface Props {
  className: string;
  color?: string;
}

const Comment = ({ className, color = "#373737" }: Props): JSX.Element => {
  return (
    <svg
      className={`comment ${className}`}
      fill="none"
      height="24"
      viewBox="0 0 24 24"
      width="24"
      xmlns="http://www.w3.org/2000/svg"
    >
      <path
        className="path"
        clipRule="evenodd"
        d="M11.9911 3C6.99318 3 2.98401 6.95015 2.99907 11.7792L2.99907 11.7804V11.7816C2.99901 13.4614 3.49 15.1045 4.41142 16.5087C4.46405 16.5806 4.51329 16.655 4.55896 16.7315L4.56259 16.7375L4.5661 16.7437C4.64005 16.873 4.72773 17.0473 4.78816 17.2397C4.84347 17.4157 4.90716 17.7028 4.82393 18.0091L4.82349 18.0107L4.04884 20.8128L6.72766 19.846C6.99399 19.7365 7.27939 19.6805 7.56751 19.6814C7.56799 19.6814 7.56847 19.6814 7.56895 19.6814L7.5661 20.4314L7.56694 19.6814C7.56713 19.6814 7.56732 19.6814 7.56751 19.6814C7.83726 19.6818 8.10465 19.7316 8.35644 19.8284L8.35699 19.8286L8.35753 19.8288C8.50956 19.8875 9.11518 20.1125 9.71402 20.2801C10.3027 20.4449 11.3899 20.6447 12.1589 20.6447C17.1319 20.6447 20.9989 16.6518 20.9991 11.7889L21.7491 11.7886H20.9991C20.9988 11.1853 20.935 10.5838 20.8085 9.99391L20.8084 9.99313L20.8082 9.99234C19.9648 6.01596 16.3464 3 11.9911 3ZM1.49907 11.7827C1.48197 6.08891 6.19879 1.5 11.9911 1.5C17.046 1.5 21.2827 5.00287 22.2753 9.68C22.4238 10.373 22.4988 11.0796 22.4991 11.7883V11.7886C22.4991 17.4639 17.9765 22.1447 12.1589 22.1447C11.2123 22.1447 9.98385 21.9133 9.30974 21.7246C8.64661 21.539 7.9921 21.2956 7.81783 21.2283C7.73721 21.1974 7.65161 21.1815 7.56526 21.1814L7.56426 21.1814L7.56325 21.1814C7.47 21.181 7.37766 21.1996 7.29179 21.236L7.27309 21.2439L4.09217 22.3919C3.9601 22.446 3.82094 22.4811 3.67889 22.4959L3.6389 22.5001L3.59868 22.5C3.43992 22.4995 3.28284 22.4675 3.13654 22.4059C2.99023 22.3443 2.8576 22.2543 2.74634 22.141C2.63507 22.0278 2.54739 21.8936 2.48835 21.7462C2.42932 21.5989 2.40011 21.4412 2.40243 21.2825L2.40276 21.26L2.40444 21.2375C2.41212 21.1349 2.43039 21.0333 2.45894 20.9345L3.35658 17.6875C3.34021 17.6361 3.30897 17.5678 3.26748 17.4945C3.24491 17.4571 3.22053 17.4208 3.19445 17.3858L3.18163 17.3686L3.16981 17.3507C2.08013 15.6981 1.49923 13.7622 1.49907 11.7827Z"
        fill={color}
        fillRule="evenodd"
      />
    </svg>
  );
};

export default Comment;
